'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

var createSubsequentEffect = function createSubsequentEffect(useEffect) {
  return function (effect, deps) {
    var isSubsequent = react.useRef(false);
    useEffect(function () {
      if (isSubsequent.current) {
        return effect.apply(void 0, arguments);
      } else {
        isSubsequent.current = true;
      }
    }, deps);
  };
};

var useSubsequentEffect = /*#__PURE__*/createSubsequentEffect(react.useEffect);

var useSubsequentLayoutEffect = /*#__PURE__*/createSubsequentEffect(react.useLayoutEffect);

exports.useSubsequentEffect = useSubsequentEffect;
exports.useSubsequentLayoutEffect = useSubsequentLayoutEffect;
//# sourceMappingURL=use-subsequent-effect.cjs.development.js.map
