import { useRef, useEffect, useLayoutEffect } from 'react';

var createSubsequentEffect = function createSubsequentEffect(useEffect) {
  return function (effect, deps) {
    var isSubsequent = useRef(false);
    useEffect(function () {
      if (isSubsequent.current) {
        return effect.apply(void 0, arguments);
      } else {
        isSubsequent.current = true;
      }
    }, deps);
  };
};

var useSubsequentEffect = /*#__PURE__*/createSubsequentEffect(useEffect);

var useSubsequentLayoutEffect = /*#__PURE__*/createSubsequentEffect(useLayoutEffect);

export { useSubsequentEffect, useSubsequentLayoutEffect };
//# sourceMappingURL=use-subsequent-effect.esm.js.map
